Summary: emi.fts.sd2cache
Name: sd2cache
Version:
Release:
License: Apache Software License
Vendor: RMI
Group: System Environment/Libraries
BuildRoot: %{_builddir}/%{name}-root
AutoReqProv: yes
Packager: Oliver Keeble <oliver.keeble@cern.ch>
Source: %{name}-%{version}.tar.gz

%description
emi.fts.sd2cache

%prep
 

%setup -c

%build
 
  
%install
rm -rf %{buildroot}
 mkdir -p %{buildroot}
 make install prefix=%{buildroot} is_emi=emi
 find %{buildroot} -name '*.la' -exec rm -rf {} \;
 find %{buildroot} -name '*.pc' -exec sed -i -e "s|%{buildroot}||g" {} \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/cron.hourly/
%config(noreplace) %{_sysconfdir}/cron.hourly/glite-sd2cache-cron
%{_sysconfdir}/init.d/glite-sd2cache
%config(noreplace) %{_sysconfdir}/glite-sd2cache-cron.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/glite-sd2cache
%{_bindir}/glite-sd2cache
%{_bindir}/glite-sd2cache-get-gsiftp-services.py*
%dir %{_localstatedir}/lib/sd2cache/
%{_localstatedir}/lib/sd2cache/glite-sd2cache-proxyfix.xslt
%{_localstatedir}/lib/sd2cache/glite-sd2cache-cleanup.xslt
%dir %{_localstatedir}/cache/
%dir %{_localstatedir}/cache/glite-sd2cache/

%post 
/sbin/chkconfig --add glite-sd2cache

%preun 
if [ "$1" = 0 ]
then
        /sbin/service glite-sd2cache stop > /dev/null 2>&1 || :
        /sbin/chkconfig --del glite-sd2cache
fi

%changelog
* Mon Dec 12 2011 Oliver Keeble <oliver.keeble@cern.ch> - 1.1.4-1
- First version

